Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000287SpeedFanConfigurationpublic2005-06-12 14:082009-02-13 14:33
Reporterflachschippe 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPC Athlon 64 Nforce 4OSWindowsOS Version2000 SP 4
Product Version 
Target VersionFixed in Version4.27 
Summary0000287: Setting the action ('Then' selection) to 'BEEP' provides no effect when the event happens.
DescriptionTitle says it all, no audible beep.
Steps To ReproduceConfigure -> Events -> For a temperature sensor, set 'Then' to 'BEEP', set the comparison operator to '>' and the temperature to 20, 'For times to 1, 'Allow every' to 20, click 'Update' or 'Add' then 'OK'.
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Files

- Relationships
has duplicate 0000356closedalfredo beep? 

-  Notes
(0000978)
alfredo (manager)
2005-06-14 10:45

Newly entered events do not become active until you finalize the configuration by pressing ENTER to close the relevant dialog.
Furthermore: SpeedFan calls the system BEEP procedure. If it is configured not to produce any sound, SpeedFan will produce no sound accordingly.
(0000998)
flachschippe (reporter)
2005-06-18 08:36

My Windows Beep device is started and enabled. When I press Ctrl-G and Enter in a command console, I hear a beep from the system speaker (*not from the sound card*). Looks to me as if the Windows Beep device works.
  If that is not a test of the beep device, how can I test whether it works without SpeedFan?
(0001006)
alfredo (manager)
2005-06-21 10:46

With Delphi, all I do is to call MESSAGEBEEP(0). I never needed to further investigate this command, but it should call the standard BEEP from your computer. You can use the EXECUTE action to directly call a wave player.
(0001014)
flachschippe (reporter)
2005-06-21 22:59

To get a beep, I used 'more > beep.bat' to create a batch file with '@echo Ctrl-G' as its only line. Then I used EXECUTE to call the batch file. This method does give a beep. If the Beep device is stopped, this method does not give a beep, so this confirms that Ctrl-G does use the beep device.
  However, it also produces a *foreground* console window for the duration of the beep, which will reliably 'drop you out' of some 3D applications (but not all). This limits the use of this method to emergency level events (where pausing 3D processing is desirable).
  To me, the main use of the beep would be to politely warn the user in the background, and let the user decide when to check what the warning is about.
  Can you give an example of how to run a beeping executable (e.g. wave player) in the background?
(0001365)
flachschippe (reporter)
2005-11-15 22:34

As of SpeedFan 4.27, the BEEP action works as expected, I get a beep from the system speaker. Issue resolved, thank you, Alfredo (:-)!

Using a wave player would still be nice, as that would allow using different acoustic signals for different events. For example, spoken messages such as "CPU over 55 degrees" would directly and unambiguously convey their meaning.

- Issue History
Date Modified Username Field Change
2005-06-12 14:08 flachschippe New Issue
2005-06-14 10:45 alfredo Note Added: 0000978
2005-06-14 10:45 alfredo Status assigned => acknowledged
2005-06-18 08:36 flachschippe Note Added: 0000998
2005-06-21 10:46 alfredo Note Added: 0001006
2005-06-21 22:59 flachschippe Note Added: 0001014
2005-09-25 21:06 alfredo Relationship added has duplicate 0000356
2005-11-15 22:34 flachschippe Note Added: 0001365
2009-02-13 14:33 alfredo Status acknowledged => resolved
2009-02-13 14:33 alfredo Resolution open => fixed
2009-02-13 14:33 alfredo Fixed in Version => 4.27


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3004 seconds.
memory usage: 8,071 KB
Powered by Mantis Bugtracker